varying vec2 TexCoord;

uniform sampler2D DiffuseMap;
uniform vec2 Eng_ObjID;

void main()
{
	// jen zapíše svoje ID, aby nepřijímal stíny, takže flora bude bez stínů (beztak by to na těch plackách vypadalo divně)
	gl_FragColor.r = 1.0;
	gl_FragColor.gb = Eng_ObjID / 255.0;
	gl_FragColor.a = texture2D(DiffuseMap, TexCoord).a;
}
